package com.zd.chemical.service;

import java.util.List;
import com.zd.chemical.domain.ActHxpapplyDetail;

/**
 * 化学品申购详情Service接口
 *
 * @author zd
 * @date 2022-08-17
 */
public interface IActHxpapplyDetailService
{
    /**
     * 查询化学品申购详情
     *
     * @param id 化学品申购详情主键
     * @return 化学品申购详情
     */
    ActHxpapplyDetail selectActHxpapplyDetailById(Long id);

    /**
     * 查询化学品申购详情列表
     *
     * @param actHxpapplyDetail 化学品申购详情
     * @return 化学品申购详情集合
     */
    List<ActHxpapplyDetail> selectActHxpapplyDetailList(ActHxpapplyDetail actHxpapplyDetail);

    /**
     * 根据主键集合查询化学品申购详情列表
     *
     * @param ids 主键集合
     * @return 化学品申购详情集合
     */
    List<ActHxpapplyDetail> getListByIds(List <Long> ids);

    /**
     * 新增化学品申购详情
     *
     * @param actHxpapplyDetail 化学品申购详情
     * @return 结果
     */
    int insertActHxpapplyDetail(ActHxpapplyDetail actHxpapplyDetail);

    /**
     * 修改化学品申购详情
     *
     * @param actHxpapplyDetail 化学品申购详情
     * @return 结果
     */
    int updateActHxpapplyDetail(ActHxpapplyDetail actHxpapplyDetail);

    /**
     * 批量删除化学品申购详情
     *
     * @param ids 需要删除的化学品申购详情主键集合
     * @return 结果
     */
    int deleteActHxpapplyDetailByIds(Long[] ids);

    /**
     * 删除化学品申购详情信息
     *
     * @param id 化学品申购详情主键
     * @return 结果
     */
    int deleteActHxpapplyDetailById(Long id);
}
